AI Music API
Home
Home
  1. producer
  • Introduction
  • Credits Usage Guide
  • AI Music API FAQ & Troubleshooting
  • Special Scenarios
  • Error handling
  • Webhook Integration Guide
  • sonic
    • Sonic Instructions
    • create / extend / cover music
      POST
    • upload and extend music
      POST
    • upload and cover music
      POST
    • create persona
      POST
    • sample
      POST
    • mashup
      POST
    • get BPM
      POST
    • get VOX
      POST
    • get wav
      POST
    • get midi
      POST
    • get lyrics timeline
      POST
    • upsample tags
      POST
    • concat music
      POST
    • stems basic
      POST
    • stems full
      POST
    • remaster
      POST
    • replace section
      POST
    • add vocal
      POST
    • add instrumental
      POST
    • upload music
      POST
    • get music
      GET
  • riffusion(Deprecated)
    • Riffusion instructions
    • create music (with lyrics)
    • create music (with description)
    • cover music
    • extend music
    • replace music section
    • swap music sound
    • swap music vocals
    • upload
    • get music
  • producer
    • Producer Instructions
    • Complete Request Example
    • create music
      POST
    • upload
      POST
    • download
      POST
    • get music
      GET
  • nuro
    • Nuro Instruction
    • Error handling
    • create vocal music
    • create instrument music
    • get music
  • lyrics generation
    • Make Lyrics
  • get-credits
    GET
  • Schemas
    • 记录不存在
    • 参数不正确
Home
Home
  1. producer

get music

GET
https://api.aimusicapi.ai/api/v1/producer/task/{task_id}
Query task status. If the generation is complete, the song data will be returned.

Request

Authorization
Bearer Token
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
or
Path Params

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET 'https://api.aimusicapi.ai/api/v1/producer/task/' \
--header 'Authorization: Bearer <token>'

Responses

🟢200OK
application/json
Task result
Body

Example
{
    "code": 200,
    "data": [
        {
            "clip_id": "74dc7bf7-56bf-457c-a4a3-3fa12f05d727",
            "title": "City Lights",
            "sound": "emotional pop with gentle piano",
            "lyrics": "[Verse 1]\nI've been running in circles...",
            "image_url": "https://storage.googleapis.com/corpusant-app-public/riffs/9329c1ad-c5b2-4d41-a3b6-842d7c2674b1/image/74dc7bf7-56bf-457c-a4a3-3fa12f05d727.jpg",
            "audio_url": "https://storage.googleapis.com/corpusant-app-public/riffs/9329c1ad-c5b2-4d41-a3b6-842d7c2674b1/audio/74dc7bf7-56bf-457c-a4a3-3fa12f05d727.m4a",
            "video_url": null,
            "created_at": "2025-10-01T08:49:47.934443Z",
            "mv": "FUZZ-2.0 Pro",
            "seed": "3966900172",
            "duration": 185.02,
            "state": "succeeded"
        }
    ],
    "message": "success"
}
Modified at 2026-02-25 06:26:43
Previous
download
Next
Nuro Instruction
Built with